Download it now!
Bug 124176 - Use pragma once instead of include guards
Summary: Use pragma once instead of include guards
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:7.0.0 target:7.1....
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2019-03-18 15:46 UTC by Samuel Mehrbrodt (allotropia)
Modified: 2021-01-19 14:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (allotropia) 2019-03-18 15:46:40 UTC
Background: https://en.wikipedia.org/wiki/Include_guard

The task is to remove the include guards in the header files and replace them with "#pragma once".

See this commit for an example: https://cgit.freedesktop.org/libreoffice/core/commit/?id=cfdba2b94fd7c0a2ec0250ddc9212d367db50c8c
Comment 1 Ritchie Cunningham 2019-04-17 20:35:37 UTC
I'd like to work on this as my first contribution to LibreOffice.

I personally use #pragma once consistently, I do wonder though if it should be included in LibreOffice given that it isn't considered part of the standards.
Comment 2 Samuel Mehrbrodt (allotropia) 2019-04-18 07:34:59 UTC
(In reply to Ritchie Cunningham from comment #1)
> I personally use #pragma once consistently, I do wonder though if it should
> be included in LibreOffice given that it isn't considered part of the
> standards.

Yes, no worries, me made sure that all compilers we use support it.
Comment 3 Xisco Faulí 2019-07-18 11:39:47 UTC
Dear Ritchie Cunningham,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 4 Commit Notification 2019-12-18 18:03:03 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ecd490b6e3e612df117e82675e63237685e3ca36

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-12-18 20:21:43 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eb57eb632c715bb32d94f5988b295bb766ad0c57

tdf#124176:  Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-12-18 21:47:51 UTC
Kemal Ayhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d9e1e364d4a705c87b86e99ef9b4e5a6564b03a

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-18 22:07:18 UTC
Desmin Alpaslan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2ded976667af503da29defc3740d0e61c4b0c723

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-19 00:51:34 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42a1a1c6b91907f81e15066ffab219411f18c4db

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-19 03:41:28 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/583c1c34ae9c974f68d21ee6b74baf87ab08c6cf

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-12-19 03:43:59 UTC
Tolunay Dündar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9ed0afc79b7da20d08153c2c3e302b061292358f

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-12-19 06:38:26 UTC
Mesut Çifci committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0b827a6a64300430b43dfb48daab33f81d3494de

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-12-19 06:39:53 UTC
Batuhan Görkem Benzer committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b1f3135de3211b0b750571ecdcd9dcab752b544

tdf#124176: Use pragma once instead of header guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-12-20 18:36:12 UTC
Tolunay Dündar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9f749e97854009697d4263960c966313d3dd19d2

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-12-20 18:40:15 UTC
Batuhan Görkem Benzer committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0b69965012a711c0b181bf359c8b27a782be2c3

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-12-20 19:57:40 UTC
Kemal Ayhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0cc5185147402f6c5a4ff8e1256aa8348a04f75e

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-12-20 19:59:19 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7cf98c89c19e68b369a296d55c2e9bdf1b42d356

tdf#124176:Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-12-20 20:00:59 UTC
Selim Şeker committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d34eb78fd5fe72d9e10438b41e76fe45cb2c2df

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-12-20 20:02:32 UTC
Sıla Genç committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/186fdf0d20162568891763f08e7f99a38535a699

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-12-20 20:12:00 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1c7fb79ad1c9356424ff1ed489cc2ac04cc1d68d

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2019-12-27 12:34:48 UTC
Gökay ŞATIR committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c309d478b8304d8779bb2a49e96ac12527762e38

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Andrea Gelmini 2019-12-28 00:16:24 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #0)

> The task is to remove the include guards in the header files and replace
> them with "#pragma once".


Maybe we have to rework this:
https://github.com/LibreOffice/core/blob/master/writerfilter/source/ooxml/factoryinc.py
Comment 22 Commit Notification 2019-12-28 09:32:50 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0104c28ceac5f2802a34305e85edc2d9ffe252ba

tdf#124176: Use "pragma once" on UnoControls/*

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2019-12-28 10:45:58 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08eccd9db6e7e2240a4053092967add4624a5f6c

tdf#124176: Use "pragma once" on svtools/*

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2019-12-28 10:58:54 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8fd8c0894deb1e9161aa4290c0f9c860ab4b14fb

tdf#124176: Use "pragma once" on udkapi/*

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2019-12-28 11:02:38 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/40f1a46e8d4e4f4a67a1909ae636ec17f7cc7658

tdf#124176: Use "pragma once" on accessibility/*

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2019-12-28 11:05:12 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77f4eb0bfefff6cb972abd8e1cc2b9d2c6df368d

tdf#124176: Use "pragma once" on xmlscript/*

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2019-12-28 18:56:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3bf4af8d187ba21498af5b6ea7a94cdfc3b93613

Revert "tdf#124176: Use "pragma once" on udkapi/*"

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Andrea Gelmini 2019-12-29 13:26:45 UTC
For the future, keep in mind that:

a) udkapi/ doesn't support "pragma once";
b) writerfilter/ is parsed with two Python scripts. If you wanna update it, you have to change .mk
Comment 29 Commit Notification 2019-12-29 15:51:15 UTC
Mesut Çifci committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53c9a6a0f133b188896eb1a3c40587d7a2c9277d

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2019-12-29 16:01:46 UTC
erto committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/22db41d4078f56d03905efbc71c16c322b2df091

tdf#124176 Use pragma once instead of header guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2019-12-29 17:42:30 UTC
cagatay committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f1656f7db9c0e00b1c9907d382a3e5e4cbdc5edd

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2019-12-29 20:01:31 UTC
Aleyna Doğrucan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53ba2c95e9ff2a102f29e81a62fcbab39dd0f3e0

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2019-12-29 20:02:54 UTC
Aleyna Doğrucan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/349695bf846e6193f78d1a8c8751ad38e9a3a501

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2020-01-06 18:57:12 UTC
Elzem Atay committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ac91b39d5b8f96063fa5a10e50fa2a8a2738012f

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2020-01-07 13:27:31 UTC
Aleyna Doğrucan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8b4aba14bb7ba98346b3ccd77c26dccda4cc1831

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2020-01-25 16:45:35 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ef86e72fb06e1b59d1587828d1a9089b50767144

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2020-01-25 16:47:10 UTC
Efdal İncesu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e7c6ceb862e997a56b51212e2c4351ba8ce13602

tdf#124176: Use pragma once instead of include guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2020-01-25 16:48:40 UTC
iakarsu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a43fe4e5c73c44a68fc32b16c1c8db4f3e216f4e

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2020-01-25 16:50:11 UTC
Eda Nur Var committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d080b07e9a9b6b6c0848debd75c94240c4d45c1e

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2020-01-25 16:51:48 UTC
Burak Bala committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/db421c41a5cf50303b72a8fd32cd29c500cc113f

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2020-01-25 17:59:22 UTC
Efdal İncesu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99c5669b4f54a3e55625ec0896852ed4154d2765

tdf#124176: Use pragma once instead of include guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2020-01-25 18:03:12 UTC
Faruk Demirbaş committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a44ca770302e8aa7079de96bda0c2fe2e7cc92bb

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2020-01-25 18:08:09 UTC
Canberk TURAN committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/134507a663871d45951fdbd4291fa337ed70a1f4

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2020-01-25 18:10:46 UTC
Batuhan Taskaya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/44139efb6a64735d3c6fe1f1b0f0007eff3a7504

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2020-01-25 18:12:20 UTC
Faruk Demirbaş committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/37b20089669e5d6f20db863ed770647ba8b1bd37

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2020-01-26 19:00:34 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c37d56c6cd161fd67e5aae917dc248f373df7767

tdf#124176: Use pragma once instead of header guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2020-01-26 19:12:19 UTC
Mehmet Emin Başoğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/34330368088109fd140cad345f3de1077d195ddd

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2020-01-26 19:28:40 UTC
iakarsu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9accb3c4b5e1861d9a03c655242da5b629f5a6d6

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2020-01-26 19:30:14 UTC
Mehmet Emin Başoğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/20b5c03ae6406a64ffec328e550fd3c9b3f0306c

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2020-01-26 19:32:58 UTC
Canberk TURAN committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e337f5b20430e52ef99923a475d05a1191506d21

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2020-01-26 19:48:13 UTC
Burak Bala committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47c598260a8f07cf3a1e4cab061df3f2d261932c

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2020-01-27 08:56:21 UTC
Burak Bala committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce55090e00394a6a475b2d9be808d4bca94b2838

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2020-01-27 08:57:59 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/04df6666613be69e4eb4dd8a2b195686bb48e5b3

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2020-01-27 09:04:23 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8d4cb2870f34ec1f30ed51bc6071334c80cbe178

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2020-01-27 09:06:28 UTC
Eda Nur Var committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f3678f377d532860c0aed4ab97e151927e5b938

tdf#124176 Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2020-01-27 09:11:02 UTC
Hakan Bakacak committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b29a3b6bac8162ccadc8dcf870bd73b9e1e964a2

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2020-01-27 09:39:36 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/33bc192286c0f499c0d420b0e6f4a5d8ffbb9bf7

tdf#124176:Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2020-01-27 15:13:18 UTC
Kemal Ayhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a437ecfd437531a293f69d503f30ac77ccfc75c2

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2020-01-27 20:30:15 UTC
Cumali Toprak committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b5ad13fb07f61ff627a0981985ce15f8812a1b9

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2020-01-27 20:44:41 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f61ed40fff871a5b301b05c9d8e0755f16bf0a83

tdf#124176: Use pragma once instead of header guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2020-01-27 21:25:08 UTC
Aleyna Doğrucan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8118d328285ee47556d18aab1efcd2824c1dbcf0

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2020-01-28 12:40:28 UTC
Serkan Özkaya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3160d75bac24acd0eb5b6a727d2b68d434921843

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2020-01-29 21:15:08 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5d7a526ee784abc3d83835b9e43047baf5dbe0b9

tdf#124176: Use pragma once instead of header guard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2020-01-30 11:54:42 UTC
bugrakurt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee9a15422561dfae0ae259c1641695f6c5c41388

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2020-01-30 15:54:06 UTC
bugrakurt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1a07ce2112e3b4dc117d8cafe85d2c19957755d2

tdf#124176: Use pragma once instead of include guards

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2020-02-08 15:20:27 UTC
Furkan Ahmet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ef877db09c11f7e201a4bc941e05085bd0eef956

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Mohamed Sameh 2020-02-10 19:25:16 UTC
I would like to work on this issue. I have a question, Can I fix any arbitrary header file or is there a list I am supposed to follow ?
Comment 68 Muhammet Kara 2020-02-10 19:50:51 UTC
(In reply to Mohamed Sameh from comment #67)
> I would like to work on this issue. I have a question, Can I fix any
> arbitrary header file or is there a list I am supposed to follow ?

You can fix any C++ header (.hxx) file. You can find them by using a command like this on linux terminal while in the core directory: git grep #ifndef

Please make sure your clone of the core git repo is up to date, and do not create a large patch. (Not exceeding 50 lines of change might be a good idea for quick reviews.)
Comment 69 Commit Notification 2020-02-11 11:28:46 UTC
Furkan Ahmet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb942e1326f2eaf4b1796c20dbb21602d3e02307

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Mohamed Sameh 2020-02-11 19:53:47 UTC
(In reply to Muhammet Kara from comment #68)
> (In reply to Mohamed Sameh from comment #67)
> > I would like to work on this issue. I have a question, Can I fix any
> > arbitrary header file or is there a list I am supposed to follow ?
> 
> You can fix any C++ header (.hxx) file. You can find them by using a command
> like this on linux terminal while in the core directory: git grep #ifndef
> 
> Please make sure your clone of the core git repo is up to date, and do not
> create a large patch. (Not exceeding 50 lines of change might be a good idea
> for quick reviews.)

I submitted a commit to gerrit and here it is
https://gerrit.libreoffice.org/c/core/+/88473
did I follow the steps correctly ? And Is there any thing else I should do now to finish contributing to this easy hack ?
Comment 71 Buovjaga 2020-02-11 20:06:23 UTC
(In reply to Mohamed Sameh from comment #70)
> I submitted a commit to gerrit and here it is
> https://gerrit.libreoffice.org/c/core/+/88473
> did I follow the steps correctly ? And Is there any thing else I should do
> now to finish contributing to this easy hack ?

You forgot to include the bug report reference

tdf#124176

at the start of your commit message. Please click the EDIT button in the middle of the gerrit patch interface and add it.
Comment 72 Mohamed Sameh 2020-02-12 19:00:39 UTC
https://gerrit.libreoffice.org/c/core/+/88473/1
I solved this easyhack in one file 'avmedia/source/win/manager.hxx', but for some reason gerrit failed to build can anyone point out to me how I could fix this ? I only made 3 changes and I can't see what could have possibly gone wrong.
I am still building at my local machine to see if I will face a similar problem but it is taking a lot of time.
Comment 73 Muhammet Kara 2020-02-12 19:11:22 UTC
(In reply to Mohamed Sameh from comment #72)
> https://gerrit.libreoffice.org/c/core/+/88473/1
> I solved this easyhack in one file 'avmedia/source/win/manager.hxx', but for
> some reason gerrit failed to build can anyone point out to me how I could
> fix this ? I only made 3 changes and I can't see what could have possibly
> gone wrong.
> I am still building at my local machine to see if I will face a similar
> problem but it is taking a lot of time.

Please check your patch on Gerrit for the comments/review.
Comment 74 Commit Notification 2020-02-13 10:59:54 UTC
Mohamed Sameh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/76d6b4d02d2ad57bbb1b348d9ba9f73ce9201a8f

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2020-02-16 19:52:34 UTC
Mohamed Sameh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3f515b85e08872f1239e599c708fec6fe09a7b3a

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2020-02-29 10:07:22 UTC
james committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32d08f86d20b2f7e44f6b0506feee90fb7138d33

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2020-02-29 19:20:24 UTC
Bugra committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6800a6dd9a60603badffb7b5bcbef22eee2134cb

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Harshit Jain 2020-03-21 08:18:43 UTC
I submitted a patch to gerrit but it shows the build failed message. The exact message is -

" Build Failed 

https://ci.libreoffice.org/job/gerrit_master/52277/ : FAILURE

the build failed because of an issue with the bot itself, not with the code.
The Bot failed to checkout the source ( https://ci.libreoffice.org/job/gerrit_mac/56600/ ) "

Link to the patch: https://gerrit.libreoffice.org/c/core/+/90831

So, is there any issue with my submission or the issue is with the bot only (as the failure statements says)? And if there is anything I can do to get the patch successfully pushed, please suggest.
Comment 79 Buovjaga 2020-03-21 09:33:34 UTC
(In reply to Harshit Jain from comment #78)
> I submitted a patch to gerrit but it shows the build failed message. The
> exact message is -
> 
> " Build Failed 
> 
> https://ci.libreoffice.org/job/gerrit_master/52277/ : FAILURE
> 
> the build failed because of an issue with the bot itself, not with the code.
> The Bot failed to checkout the source (
> https://ci.libreoffice.org/job/gerrit_mac/56600/ ) "
> 
> Link to the patch: https://gerrit.libreoffice.org/c/core/+/90831
> 
> So, is there any issue with my submission or the issue is with the bot only
> (as the failure statements says)? And if there is anything I can do to get
> the patch successfully pushed, please suggest.

As you can see from the console log, it has nothing to do with your patch: https://ci.libreoffice.org/job/gerrit_mac/56600/console
Please never change the statuses of easy hacks to needinfo.
Comment 80 Harshit Jain 2020-03-21 13:10:14 UTC
(In reply to Buovjaga from comment #79)
> (In reply to Harshit Jain from comment #78)
> > I submitted a patch to gerrit but it shows the build failed message. The
> > exact message is -
> > 
> > " Build Failed 
> > 
> > https://ci.libreoffice.org/job/gerrit_master/52277/ : FAILURE
> > 
> > the build failed because of an issue with the bot itself, not with the code.
> > The Bot failed to checkout the source (
> > https://ci.libreoffice.org/job/gerrit_mac/56600/ ) "
> > 
> > Link to the patch: https://gerrit.libreoffice.org/c/core/+/90831
> > 
> > So, is there any issue with my submission or the issue is with the bot only
> > (as the failure statements says)? And if there is anything I can do to get
> > the patch successfully pushed, please suggest.
> 
> As you can see from the console log, it has nothing to do with your patch:
> https://ci.libreoffice.org/job/gerrit_mac/56600/console
> Please never change the statuses of easy hacks to needinfo.

Okay, will keep this in mind.

Now, will the build be automatically triggered or I need to do something, so
that the patch gets pushed successfully.
Comment 81 Commit Notification 2020-03-22 19:00:57 UTC
Furkan Ahmet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f13913d510672cd4f28726ef18c4f3d014b6f06c

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2020-03-23 11:36:50 UTC
Harshit Jain committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fd1cd5522283f279a01d6d673f676a1346e9358b

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2020-03-23 20:29:44 UTC
gokaysatir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/574e3ddae11a4fa3965bbf8ddf6352f63b41d341

tdf#124176 Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 uplink 2020-04-20 15:44:18 UTC
Assigned to myself
Comment 85 Mike Kaganski 2020-04-20 19:03:09 UTC
(In reply to uplink from comment #84)

Please don't assign this task to you: this is the task that may be worked upon in parallel, by many easy-hackers. To coordinate the effort and avoid modifying the same files, please mention which directories you are currently working on, and also pay attention to in-progress changes in gerrit that have "tdf#124176" in their commit message:

https://gerrit.libreoffice.org/q/status:open+tdf%2523124176
Comment 86 uplink 2020-04-20 19:04:12 UTC
I think this this complete
Comment 87 uplink 2020-04-20 20:13:22 UTC
Assigned again
Comment 88 Muhammet Kara 2020-04-20 20:23:44 UTC
(In reply to uplink from comment #86)
> I think this this complete

No, not even close. There are possibly thousands of files left for this bug report.

(In reply to uplink from comment #87)
> Assigned again

Please stop, and do not edit or comment on this bug report any further. If you would like to work on this, just send your patches, keeping the comment#85 in mind.

Thank you for your understanding.
Comment 89 Commit Notification 2020-04-26 13:36:13 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83de7f38b7ae3c0b357974a536ae53fd6a2d231e

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2020-04-26 13:38:49 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddcbaf462821d373592f9560d1e1e117cce05709

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2020-04-28 15:34:44 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6b828275af11f8b04a52a9ad5f44e210d4fec0b

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Commit Notification 2020-05-01 20:02:18 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b8fb7ecd9cdbe1898c41eaecd9894df8e8f01e25

tdf#124176: Use pragma once instead of include guards

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 93 Commit Notification 2020-05-14 20:50:01 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/845859017a74978a7ad5c6473b473f38f284edf2

tdf#124176: Use pragma once instead of header guard

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 pranesh ulleri 2020-06-15 14:43:35 UTC
Is this issue fixed?
Comment 95 Muhammet Kara 2020-06-15 14:56:01 UTC
(In reply to pranesh ulleri from comment #94)
> Is this issue fixed?

No. Not even close to be fixed. You may issue this command to get a list of possible candidates:

git grep "#ifndef" | grep hxx
Comment 96 Commit Notification 2020-06-24 15:04:36 UTC
Wyatt Turner committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf94d52c0537d9291309b10fb3021f9d35bf1796

tdf#124176 Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 George Bateman 2020-08-03 16:00:22 UTC
I am working on this as my first LO bug, using a suitable Python script to make the changes en masse. Currently I've got the script to make the vast majority of changes successfully and have had to edit just the following few files manually:

chart2/source/inc/InternalData.hxx
include/svx/svdmodel.hxx
include/vcl/glxtestprocess.hxx

Unfortunately the tests are failing on my machine even with my changes removed but the build at least is successful.

The script is:

#!/usr/bin/python3

import re
import subprocess
import sys

debug = len(sys.argv) > 1

if debug:
    files = sys.argv[1:]
else:
    files = subprocess.run(['git', 'grep', '--name-only', '#ifndef INCLUDED_.*_HXX'],
        text=True, capture_output=True).stdout.splitlines()

for file_name in files:
    with open(file_name, 'r+') as f:
        lines = list(f)
        flag_name = None
        flag_start = None
        flag_def = None
        flag_end = None
        is_bad = False
        else_in_top_lvl = False
        if_lvl = 0

        if debug:
            print("Processing %s with %d lines" % (file_name, len(lines)))

        for i, line in enumerate(lines):
            if re.match('^\\s*#\\s*if', line):
                if_lvl += 1
                if if_lvl == 1 and flag_start is not None:
                    # There is a top-level if statement after the include guard.
                    is_bad = True
            elif re.match('^\\s*#\\s*el', line):
                if if_lvl <= 1:
                    else_in_top_lvl = True
            elif re.match('^\\s*#\\s*endif', line):
                if_lvl -= 1

            if flag_name is None:
                if m := re.match('#ifndef (INCLUDED_.*_HXX)', line):
                    flag_name = m.group(1)
                    flag_start = i
            elif flag_def is None:
                if m := re.match('#define (INCLUDED_.*_HXX)', line):
                    if m.group(1) == flag_name and i == flag_start + 1:
                        flag_def = i
            elif flag_end is None:
                if re.match('^\\s*#\\s*endif', line) and if_lvl == 0:
                    flag_end = i
            else:
                if not (re.match('^\\s*$', line) or re.match('^\\s*/\\*.*\\*/\\s*$', line)
                        or re.match('^\\s*//', line)):
                    is_bad = True

            if debug:
                print(f"Line {i}\tflags {flag_start}\t{flag_def}\t{flag_end}\t{if_lvl}\t{else_in_top_lvl}\t{is_bad}")

        if flag_start is not None and (flag_end is None or else_in_top_lvl):
            is_bad = True
        if is_bad:
            print("%s is bad!" % file_name)
            continue
        if flag_start is None: continue
        if debug: continue

        lines[flag_start] = '#pragma once\n'
        lines.pop(flag_end)
        lines.pop(flag_def)
        f.seek(0)
        f.truncate()
        f.write(''.join(lines))

It parses preprocessor commands at a fairly basic level and makes the needed changes if they seem safe (i.e. is_bad is false), or if passed file paths prints debugging information to explain why they are bad. The only outstanding file with a "weird" include guard is vcl/inc/unx/gtk/gtkgdi.hxx. This file has an #else command half-way though the include guard which may not be correct.
Comment 98 Mike Kaganski 2020-08-03 19:54:59 UTC
(In reply to George Bateman from comment #97)
> I am working on this as my first LO bug, using a suitable Python script to
> make the changes en masse. Currently I've got the script to make the vast
> majority of changes successfully and have had to edit just the following few
> files manually:
> 
> chart2/source/inc/InternalData.hxx
> include/svx/svdmodel.hxx
> include/vcl/glxtestprocess.hxx
> 
> Unfortunately the tests are failing on my machine even with my changes
> removed but the build at least is successful.

Nice! It might of course happen that you have some local problem preventing you from successful building/testing. That is unfortunate, and you of course should fix it (use help from #libreoffice-dev); but don't hesitate to publish your patch*es* to gerrit nevertheless, to be tested independently by buildbots.

Note that you should not create a huge patch with hundreds of files modified at once. Please create multiple changes - say, per module, or even submodule where appropriate.

Thanks, and looking forward for your first contribution!
Comment 99 George Bateman 2020-08-05 12:45:04 UTC
I've submitted some patches to Gerrit (https://gerrit.libreoffice.org/q/owner:george.bateman16%2540gmail.com), one with changes across the whole project (submitted before I read your comment!) and the rest being per-module. Do let me know if these are okay.
Comment 100 Commit Notification 2020-09-04 06:32:14 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/88da6b7b62dc0c391e28a920bb2d355bce89f8bf

tdf#124176 Use #pragma once in comphelper

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 101 Commit Notification 2020-09-04 06:52:47 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/269497fff04bb5bbe982a7bcd48ea06d1507fc6b

tdf#124176 Use #pragma once in avmedia

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 102 Commit Notification 2020-09-04 06:53:58 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/24491636d36a1d92a4bb9f3f1f1b2e65b81d8429

tdf#124176 Use #pragma once in cppcanvas

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 103 Commit Notification 2020-09-04 06:56:09 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df9ff47f984bfb8ce265cb73ec10a3dd5837bd10

tdf#124176 Use #pragma once in canvas

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 104 Commit Notification 2020-09-04 06:58:21 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fb4ddf2fc997f3b0c193b6dce22a0b1313f24240

tdf#124176 Use #pragma once in basic

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2020-09-04 06:59:33 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/abea8319622848f2228fc9a2736a645b52ab617b

tdf#124176 Use #pragma once in basctl

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 106 Commit Notification 2020-09-04 06:59:44 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5381af18b6c5e75b37bdc81d69f376cfedaaf641

tdf#124176 Use #pragma once in binaryurp

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 107 Commit Notification 2020-09-04 07:00:59 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/505795db3fa8cd5bb9868ff99f9a8cdf268f4c0b

tdf#124176 Use #pragma once in bridges

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 108 Commit Notification 2020-09-04 07:02:12 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6efb746a8cf876ef00d97aa8bd8f2f4ef9cabcfd

tdf#124176 Use #pragma once in configmgr

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 109 Commit Notification 2020-09-04 07:02:23 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d433b21ec6fdd80e09dc042a8e204e72b1e62c8

tdf#124176 Replace 3 include guards with #pragma once

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 110 Commit Notification 2020-09-04 07:04:35 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1d203d95479d16049c2edb6fa6fc927c1d97067f

tdf#124176 Use #pragma once in chart2

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 111 Julien Nabet 2020-09-04 07:41:40 UTC
(In reply to George Bateman from comment #99)
> I've submitted some patches to Gerrit
> (https://gerrit.libreoffice.org/q/owner:george.bateman16%2540gmail.com), one
> with changes across the whole project (submitted before I read your
> comment!) and the rest being per-module. Do let me know if these are okay.

IMHO per-module is better that all in one. For some big modules (sc, sw for example), perhaps you may even cut in different patches for each submodule.
Comment 112 Stephan Bergmann 2020-09-04 08:16:40 UTC
Just a heads up, seeing that this appears to get cleaned up systematically now:  There are some source files containing include guards that are meant to (also) be processed by compilers other than LO's build baseline compilers:

* All URE include files, see the (generated via odk/CustomTarget_allheaders.mk) workdir/CustomTarget/odk/allheaders/allheaders.hxx for a complete list.

* Anything under odk/examples/.

For those source files, it is probably better to conservatively stick with include guards than to replace them with #pragma once.
Comment 113 Commit Notification 2020-09-04 09:14:14 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7021dae8115ceac19a2823e8d91e09d952d82c51

tdf#124176 Use #pragma once in compilerplugins

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 114 Commit Notification 2020-09-04 09:14:25 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce73b526c459bf1ab15220fe78afae44cb436184

tdf#124176 Use #pragma once in codemaker

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 115 Commit Notification 2020-09-13 13:29:12 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08cc983e26dd3252b12b253af9b0c3430e933321

tdf#124176 Use #pragma once in cppu, cppuhelper

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 116 Commit Notification 2020-09-13 13:31:24 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0743a75a9fd3ef60489154e4ffc706f9dae82399

tdf#124176 Use #pragma once in dbaccess/source/filter

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 117 Commit Notification 2020-09-13 13:33:35 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f93f4c10e6e976009606ecc7bb3b8a02afd80fb0

tdf#124176 Use #pragma once in cui

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2020-09-13 13:35:46 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae484ec0fdcd1871ce28e7fcddaa1debc28eca8a

tdf#124176 Use #pragma once in dbaccess/source/core

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 119 Commit Notification 2020-09-13 13:37:56 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ffcee12bc09dd1bfd713314788061273ca144efd

tdf#124176 Use #pragma once in dbaccess/source/ui

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 120 Commit Notification 2020-09-13 15:51:09 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/91230736fce6d18886cf04902f477b458bf225b4

tdf#124176 Use #pragma once in drawinglayer

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 121 Commit Notification 2020-09-13 15:52:19 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3dbc14db0aad072844b30e873c2d53978ea8e1c3

tdf#124176 Use #pragma once in dtrans

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 122 Commit Notification 2020-09-13 15:53:30 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/66253cace2db6026ec636a4a8b6062f125957da7

tdf#124176 Use #pragma once in editeng

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 123 Commit Notification 2020-09-13 15:53:41 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3d7e089a3def73d45d60de4db4b3fe4a3bbeb453

tdf#124176 Use #pragma once in embeddedobj

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 124 Commit Notification 2020-09-13 17:10:18 UTC
George Bateman committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dcbe844e291b7efa9ea7eaf280186ce97df075b2

tdf#124176 Use #pragma once in desktop

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 125 Commit Notification 2020-09-25 06:27:58 UTC
Andrea Gelmini committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6505f43b09fda83f26159746083b971bfab8054a

tdf#124176 Use #pragma once in some include/

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 126 George Bateman 2020-10-04 10:40:30 UTC
Un-assigning myself; final Python script for reference is

#!/usr/bin/python3

import re
import subprocess
import sys

debug = '--debug' in sys.argv

if debug:
    files = [x for x in sys.argv[1:] if x != '--debug']
else:
    files = subprocess.run(['git', 'grep', '--name-only', '#ifndef INCLUDED_.*'] + sys.argv[1:],
        text=True, capture_output=True).stdout.splitlines()

for file_name in files:
    with open(file_name, 'r+') as f:
        lines = list(f)
        flag_name = None
        flag_start = None
        flag_def = None
        flag_end = None
        is_bad = False
        else_in_top_lvl = False
        if_lvl = 0

        if debug:
            print("Processing %s with %d lines" % (file_name, len(lines)))

        for i, line in enumerate(lines):
            if re.match('^\\s*#\\s*if', line):
                if_lvl += 1
                if if_lvl == 1 and flag_start is not None:
                    # There is a top-level if statement after the include guard.
                    is_bad = True
            elif re.match('^\\s*#\\s*el', line):
                if if_lvl <= 1:
                    else_in_top_lvl = True
            elif re.match('^\\s*#\\s*endif', line):
                if_lvl -= 1

            if flag_name is None:
                if m := re.match('#ifndef (INCLUDED_.*)', line):
                    flag_name = m.group(1)
                    flag_start = i
            elif flag_def is None:
                if m := re.match('#define (INCLUDED_.*)', line):
                    if m.group(1) == flag_name and i == flag_start + 1:
                        flag_def = i
            elif flag_end is None:
                if re.match('^\\s*#\\s*endif', line) and if_lvl == 0:
                    flag_end = i
            else:
                if not (re.match('^\\s*$', line) or re.match('^\\s*/\\*.*\\*/\\s*$', line)
                        or re.match('^\\s*//', line)):
                    is_bad = True

            if debug:
                print(f"Line {i}\tflags {flag_start}\t{flag_def}\t{flag_end}\t{if_lvl}\t{else_in_top_lvl}\t{is_bad}")

        if flag_start is not None and (flag_end is None or else_in_top_lvl):
            is_bad = True
        if is_bad:
            print("%s is bad!" % file_name)
            continue
        if flag_start is None: continue
        if debug: continue

        lines[flag_start] = '#pragma once\n'
        if lines[flag_end-1].strip() == f"// {flag_name}":
            lines.pop(flag_end - 1)
            flag_end -= 1

        if len(lines) > flag_end+1:
            if (len(lines[flag_end-1].strip()) == 0) and (len(lines[flag_end+1].strip()) == 0):
                lines.pop(flag_end + 1)
            lines.pop(flag_end)
        else:
            lines.pop(flag_end)
            if len(lines[flag_end-1].strip()) == 0:
                lines.pop(flag_end - 1)

        lines.pop(flag_def)

        f.seek(0)
        f.truncate()
        f.write(''.join(lines))


Use as

./make_pragma_once.py text/**/*.h*

or similar.
Comment 127 Commit Notification 2020-10-04 15:52:28 UTC
Nikhil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1b6dead4dc7d11fd3d2e1b88da941857cb1be046

tdf#124176 Use #pragma once in text

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 128 Mariam Fahmy 2020-10-15 20:47:49 UTC
Hello,Can I work on this issue if there is nobody working on it?
Thanks.
Comment 129 Buovjaga 2020-10-15 20:52:33 UTC
(In reply to Mariam Fahmy from comment #128)
> Hello,Can I work on this issue if there is nobody working on it?

Yes, dozens of people can work on this at the same time
Comment 130 Commit Notification 2020-10-17 08:41:53 UTC
mariamfahmy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e7eaa66d4de5d3c634e8a148f8838276d539546c

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 131 Commit Notification 2020-10-18 08:25:28 UTC
mariamfahmy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8feb66ac2f08a2fde2567d2c358aab53b3e42c48

tdf#124176: Using pragma once

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 132 Buovjaga 2020-10-18 14:37:05 UTC
(In reply to Stephan Bergmann from comment #112)
> Just a heads up, seeing that this appears to get cleaned up systematically
> now:  There are some source files containing include guards that are meant
> to (also) be processed by compilers other than LO's build baseline compilers:
> 
> * All URE include files, see the (generated via
> odk/CustomTarget_allheaders.mk)
> workdir/CustomTarget/odk/allheaders/allheaders.hxx for a complete list.
> 
> * Anything under odk/examples/.
> 
> For those source files, it is probably better to conservatively stick with
> include guards than to replace them with #pragma once.

I was wondering how to generate allheaders.hxx and Jan-Marek helped me:

make odk.check
Comment 133 Stephan Bergmann 2020-10-18 15:36:53 UTC
(In reply to Buovjaga from comment #132)
> (In reply to Stephan Bergmann from comment #112)
[...]
> > * All URE include files, see the (generated via
> > odk/CustomTarget_allheaders.mk)
> > workdir/CustomTarget/odk/allheaders/allheaders.hxx for a complete list.
[...]
> I was wondering how to generate allheaders.hxx and Jan-Marek helped me:
> 
> make odk.check

or just `make CustomTarget_odk/allheaders`
Comment 134 Commit Notification 2020-10-18 21:55:16 UTC
mariamfahmy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e6a96b8e9642732082701b01495e3093439ae404

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 135 Commit Notification 2020-10-21 21:59:40 UTC
Gokce Kuler committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/113c6c9d91c8f8bb90cc29f4dbe73fcafdb995de

tdf#124176 Use pragma once instead of header guard

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 136 Commit Notification 2020-10-23 21:26:35 UTC
gizemozgun committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d1da299ef910e2d75e98bed62110a9e8693aefe3

tdf#124176 Using pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 137 Commit Notification 2020-10-24 21:20:31 UTC
Betül İnce committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5219c6bd804f626b30a783ec012b24c01911c575

tdf#124176 Using pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 138 Commit Notification 2020-10-30 15:59:12 UTC
diwanshu885 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/44c120ba3f15e31bd506f5bdda26a565ca6ad635

tdf#124176 Using pragma once instead of inclusive guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 139 Commit Notification 2020-11-09 11:04:15 UTC
shubham656 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9a2d8d30ac2e525963c764794bd3d6bd3462f64b

tdf#124176 Use pragma once instead of inclusive guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 140 Commit Notification 2020-11-11 07:04:43 UTC
TRaXIn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/98076bc83167dca559800ea882c38ef4fca873b7

tdf#124176 Use #pragma once in xmlsecurity

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 141 Commit Notification 2020-11-19 06:27:25 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6d74413e5d2b03d84a2f8f748827234b2c22d62c

tdf#124176 use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 142 Commit Notification 2020-11-19 22:12:26 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/023b77182a5818063f53ecfbe7ec3562ee37dcbc

tdf#124176 use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 143 Commit Notification 2020-11-21 16:55:11 UTC
Zeynep İnkaya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0ea2bda1610eda92d3101fc69a464a6f06b45523

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 144 Commit Notification 2020-11-21 17:20:33 UTC
Mücahid Aydin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dbdb227219bf2b1bb23400aeac706f882ca0cad1

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 145 Commit Notification 2020-11-21 17:21:47 UTC
Gül Toksöz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d9929c86bcbd2b3a3abd1579dc87e9a4cf0087c8

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 146 Commit Notification 2020-11-21 17:26:11 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/635a77ddc06ddbaaf6eba2d978d2187ddeaa80b9

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 147 Commit Notification 2020-11-21 17:28:25 UTC
Mücahid Aydin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2292ad256f6b3167a0fdb99f4b28064c75616751

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 148 Commit Notification 2020-11-21 17:30:41 UTC
Arda committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9eb7962a718fae662a8cb26382031f1c10c64597

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 149 Commit Notification 2020-11-21 18:21:10 UTC
Tolunay Dündar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d46a2a1373c231f3437a229e2160edf58971d8db

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 150 Commit Notification 2020-11-21 20:04:04 UTC
Umut Emre Bayramoglu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bac71fd104a19e481ed688fba0b0f427e855ce91

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 151 Commit Notification 2020-11-21 21:39:58 UTC
Umut Emre Bayramoglu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddc9c95745183e2e6d7791bcd3248db976c89f4e

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 152 Commit Notification 2020-11-22 07:52:12 UTC
Bartu Bayazıt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c3c9c0505509d69501ed835e97418b82e64bdfab

tdf#124176: Use pragma once, instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 153 Commit Notification 2020-11-22 07:53:26 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/61f2209ac2e744b42da929e79ed9380269a95dd6

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 154 Commit Notification 2020-11-22 08:02:42 UTC
Umut Emre Bayramoglu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f06083d5714fda562375d12902f704514ec30491

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 155 Commit Notification 2020-11-22 08:03:54 UTC
Tolunay Dündar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17aca7c66fd71b3259e4cb0a964224f371db45d2

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 156 Commit Notification 2020-11-22 08:05:08 UTC
Tolunay Dündar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72bd82016efe7b097736d94af5046a0e55d3c2ac

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 157 Commit Notification 2020-11-22 08:21:30 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/62c9aeaf0c5f6e23d7d9a091014d22ccd2406463

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 158 Commit Notification 2020-11-22 08:22:41 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c9bc63b8f1dbaa1bbf1bbcb3276d511224951ce0

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 159 Commit Notification 2020-11-22 08:24:53 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/151bd3cdeaee78ac94e5e349a71aacefcf8f41b6

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 160 Commit Notification 2020-11-22 08:55:37 UTC
Gökhan Özeloğlu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9cd34d4b2fceb66c3aa22bec5286323cd1070edc

tdf#124176: Use pragma once instead of include guards

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 161 Shyam Praveen Singh 2020-11-23 05:58:40 UTC
I will be working in the ./extensions/source/abpilot directory.
Comment 162 Commit Notification 2020-11-23 14:12:35 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e81845679ea6b30d651f76cc8bddc052a52bd227

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 163 Commit Notification 2020-11-23 17:58:43 UTC
lastirembender committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/49890bfe62694ec9ed10204e9874512daf6b4620

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 164 Commit Notification 2020-11-24 10:01:00 UTC
ShyamPraveenSingh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47bb1e449f8dd1668c4e50ab7df980f4e3de8319

tdf#124176 Use #pragma once in extensions/source/abpilot

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 165 Commit Notification 2020-11-24 17:22:37 UTC
Bayram Çiçek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42b0ea1993b7ea223c126f011c78ec4cdfce95ff

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 166 Commit Notification 2020-11-26 17:22:49 UTC
Gül Toksöz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/843aedb772223189aa2ba3b1e9ffb7dba86db1ac

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 167 Commit Notification 2020-11-28 13:04:15 UTC
Bartu Bayazıt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2e93e2c83b3fba9d29783dc4cc9782e142d8a58f

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 168 Commit Notification 2020-12-01 09:09:18 UTC
ganeshdevare committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bc833c71cda6595897277013b1ee6273c6296219

tdf#124176 Use #pragma once in connectivity

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 169 Commit Notification 2020-12-01 19:59:06 UTC
zeynepsninkaya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3aaff1083a60010ad31342e029ce6e9b8ec62f9c

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 170 Commit Notification 2020-12-03 07:42:07 UTC
cu-16bcs1798 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1d3d958e0089429e05265cfd13dc540fce5887d1

tdf#124176 Use #pragma once in framework/inc/uifactory

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 171 Homeboy_445 2020-12-13 14:08:49 UTC
Please review the changes made by me: https://gerrit.libreoffice.org/c/core/+/107528
Comment 172 Commit Notification 2020-12-13 14:26:19 UTC
homeboy445 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c17ff0b5dc20d637392562eb59bd5bfdb2694389

tdf#124176 Use #pragma once in idlc

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 173 Commit Notification 2020-12-14 17:26:01 UTC
DuP-491 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a279e2d98d3aa2d11cc7b8c09158186795e7fcd

tdf#124176 Use #pragma once in connectivity

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 174 Commit Notification 2020-12-20 09:27:18 UTC
siddheshpatil777 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3420cc1e70b2ed49fc63d6fd30f7b962abbec70f

tdf#124176 Use #pragma once in connectivity

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 175 Commit Notification 2020-12-24 08:28:20 UTC
Bayram Çiçek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a905223b6caefeace9c5037974462e0b94546f4

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 176 Commit Notification 2020-12-26 11:12:01 UTC
halfhiddencode committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/90be4d003b36428a88847d36354c3572c453c90d

tdf#124176 Use pragma once in writerperfect

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 177 Commit Notification 2021-01-02 09:03:39 UTC
Vishwas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e245217bf4abd70b7395061190557c2b7e6ec952

tdf#124176: Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 178 Commit Notification 2021-01-03 09:12:01 UTC
Alchemist committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/74583d24f67f41d15da211cfb00b7eaa8419e685

tdf#124176 Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 179 Commit Notification 2021-01-10 19:28:14 UTC
anirudhS committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f2254f11e5e381b959dcaab53a7ddb101a83b561

tdf#124176 Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 180 Vikram Shishupalsingh Bais 2021-01-11 08:45:25 UTC
(In reply to Commit Notification from comment #12)
> Batuhan Görkem Benzer committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 7b1f3135de3211b0b750571ecdcd9dcab752b544
> 
> tdf#124176: Use pragma once instead of header guard
> 
> It will be available in 6.5.0.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.
Comment 181 Commit Notification 2021-01-19 12:09:28 UTC
csegura committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c0e9bda0149b12d072607c744bdf72c6ddb439e5

tdf#124176 Use pragma once instead of include guards in basctl

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 182 Commit Notification 2021-01-19 14:26:54 UTC
princesinghtomar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83f92f0c567ddba9715b2a48836fae78144aa0fd

tdf#124176 Use pragma once instead of include guards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.